Subject: [anonsec] I-D Submission: Extension of ICMP Security Failures Messages

From: Qingshan.ZHANG at alcatel-sbell.com.cn (CTO ZHANG Qingshan)
Date: Fri, 1 Sep 2006 15:33:44 +0800

Hi, dear all,

I just submitted an I-D to this WG of btns. Here's a brief introduction of this I-D and the reason why I choose this group for this submission.

1. This I-D is about icmp message extension for IPSec failure reporting. It is closely tied with the IPSec protocol suite which is used for trouble shooting when IPSec (both the traditional IPSec (authenticated SA) and the new one proposed by this WG (unauthenticated SA)) is deployed for secure communications. With this extension, IPSec can be more practical for rapid and wide deployment, which is right the goal of this WG.

2. This I-D is open for more options to be added in, which is important to IPSec extensions this WG tries to specify. As we can see, when the new type of IPSec (unauthenticated keying) comes into being, it may need to introduce some new IPSec failure types for trouble shooting. We can track these possible failure types during developing the better-than-nothing security and add them into this I-D.

As the reasons above, this WG is the most suitable one to submit this I-D to.

BTW, since people in this group are all IPSec experts, I think it is the right place to discuss IPSec related topics and push this proposal.

I am also very interested in the topic of better-than-nothing-security and want to do some contribution to this WG. Hope to work with your gifted guys. :-)

Regards,
Qingshan

-----????-----
???: Love [mailto:lha at stacken.kth.se] 
????: ??? 2006?8?30? 15:54
???: CTO ZHANG Qingshan
??: Re: I-D Submission: Extension of ICMP Security Failures Messages

Hello Qingshan Zhang,

The group been talking about extentions for (optional) status 
notification of the BTNS-ness of the peer,
but that have been over IKE. If you think your draft is useful for 
BTNS, you should send a mail
to the mailinglist and explain why you think your draft fits into the 
groups work (and charter).

Love

2006-08-30 kl. 05.30 skrev CTO ZHANG Qingshan:

> Hi, dear IETF Secretariat and BTNS Chair,
> ?
> Here?s a proposal about extension of ICMP security failures messages 
> in attachment, which is related to IPSec. I think the WG of btns is 
> the most suitable group to submit it to.
> ?
> Please check it and expect your response. Thanks in advance.
> ?
> Regards,
> -Qingshan Zhang
> <draft-zhang-btns-icpm-sec-extension-00.txt>